%define anolis_release 6

Name: 		bc
Summary: 	GNU's bc (a numeric processing language) and dc (a calculator)
Version: 	1.07.1
Release: 	%{anolis_release}%{?dist}
License: 	GPLv2+
URL: 		http://www.gnu.org/software/bc/
Source: 	http://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz
Patch1: 	bc-1.06-dc_ibase.patch
Patch2: 	bc-1.06.95-doc.patch
Patch3: 	bc-1.07.1-readline-echo-empty.diff
BuildRequires:  gcc
BuildRequires: 	readline-devel, flex, bison, texinfo, ed
BuildRequires: 	make

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-readline
%make_build

%install
%make_install
%generate_compatibility_deps

%files
%license COPYING COPYING.LIB
%doc Examples/
%dir %{abidir}
%{_bindir}/dc
%{_bindir}/bc
%{abidir}/dc-option.list
%{abidir}/bc-option.list
%{_mandir}/*/*
%{_infodir}/*

%files doc
%doc FAQ AUTHORS NEWS README

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 1.07.1-6
- Bump release for upgrading from anolis 8

* Thu Nov 03 2022 happy_orange <songnannan@linux.alibaba.com> - 1.07.1-1
- package init from upstream
